> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Apple Pay External Card Transfer

> > 🚧 Alpha
> Apple Pay transfers is currently in Alpha release and spec is subject to change.

Create External Card Transfer using an Apple Pay card




## OpenAPI

````yaml openapi-v1.json post /external_cards/transfers/applepay
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /external_cards/transfers/applepay:
    post:
      tags:
        - External Cards
      summary: Create Apple Pay External Card Transfer
      description: >
        > 🚧 Alpha

        > Apple Pay transfers is currently in Alpha release and spec is subject
        to change.


        Create External Card Transfer using an Apple Pay card
      operationId: createApplePayExternalCardTransfer
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/transfer_request_apple_pay'
        description: Details of the Apple Pay External Card Transfer to create
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/create_transfer_response_apple_pay'
          description: Apple Pay External Card Transfer created
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
  schemas:
    transfer_request_apple_pay:
      allOf:
        - $ref: '#/components/schemas/transfer_request_base'
        - properties:
            apple_pay_payment:
              $ref: '#/components/schemas/apple_pay_payment'
            customer_id:
              $ref: '#/components/schemas/transfer_customer_id'
          required:
            - apple_pay_payment
            - customer_id
          type: object
      type: object
    create_transfer_response_apple_pay:
      allOf:
        - properties:
            card_details:
              $ref: '#/components/schemas/external_card_details'
            type:
              description: Type of transfer operation
              enum:
                - APPLE_PAY_PULL
              type: string
          required:
            - card_details
            - type
          type: object
        - $ref: '#/components/schemas/transfer_response_base'
      type: object
    transfer_request_base:
      properties:
        amount:
          description: Amount of the transfer in cents (USD)
          minimum: 1
          type: integer
        merchant:
          $ref: '#/components/schemas/merchant'
        originating_account_id:
          description: >-
            The ID of the account to which the transfer will be
            initiated/received
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - amount
        - originating_account_id
      type: object
    apple_pay_payment:
      description: >-
        Payload containing payment information, obtained from Apple following
        payment authorization
      properties:
        billing_contact:
          $ref: '#/components/schemas/apple_pay_contact'
        shipping_contact:
          $ref: '#/components/schemas/apple_pay_contact'
        token:
          $ref: '#/components/schemas/apple_pay_payment_token'
      required:
        - token
      type: object
    transfer_customer_id:
      description: The customer_id of the cardholder
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    external_card_details:
      allOf:
        - $ref: '#/components/schemas/external_card_verification_details'
        - properties:
            bin:
              description: Bank Identification Number
              type: string
            issuer:
              description: Name of the issuing financial institution
              type: string
            last_four:
              description: The last four digits of the card PAN
              example: '1234'
              type: string
            payment_account_reference:
              $ref: '#/components/schemas/payment_account_reference'
          type: object
    transfer_response_base:
      properties:
        account_id:
          description: >-
            The ID of the Synctera account into which or from which funds were
            moved
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        amount:
          description: Amount of the transfer in cents
          type: integer
        creation_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        currency:
          $ref: '#/components/schemas/currency_code'
        customer_id:
          $ref: '#/components/schemas/transfer_customer_id'
        id:
          description: The ID of the transfer
          type: string
        last_updated_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        merchant:
          $ref: '#/components/schemas/merchant'
        network_decline_details:
          description: >-
            If available, a human readable string indicating why a transfer was
            declined downstream of our system
          type: string
        reason:
          description: >-
            The reason for the status, e.g. INSUFFICIENT_FUNDS, SUSPECTED_FRAUD,
            NETWORK_DECLINED
          type: string
        status:
          $ref: '#/components/schemas/transfer_status'
        tenant:
          $ref: '#/components/schemas/tenant_id'
        transaction_id:
          description: The transaction ID
          format: uuid
          type: string
      required:
        - account_id
        - amount
        - creation_time
        - currency
        - customer_id
        - id
        - last_updated_time
        - merchant
        - status
        - tenant
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    merchant:
      description: >-
        Merchant descriptor information that will be shown on statement and
        transaction details. If not provided, FinTech information will be used.
      properties:
        address:
          $ref: '#/components/schemas/address'
        email:
          description: Merchant's email
          example: alice@example.com
          type: string
        name:
          description: Merchant's name
          type: string
        phone_number:
          description: >-
            Merchant's phone number with country code in E.164 format. Must have
            a valid country code. Area code and local phone number are not
            validated.
          example: '+14374570680'
          pattern: ^\+[1-9]\d{1,14}$
          type: string
      required:
        - address
        - name
      type: object
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    apple_pay_contact:
      properties:
        address_lines:
          description: Street portion of the contact’s address
          items:
            type: string
          type: array
        administrative_area:
          description: The state for the contact
          type: string
        country:
          description: The name of the country or region for the contact
          type: string
        country_code:
          $ref: '#/components/schemas/country_code'
        email_address:
          description: Email address
          type: string
        family_name:
          description: Family name
          type: string
        given_name:
          description: Given name
          type: string
        locality:
          description: The city for the contact
          type: string
        phone_number:
          description: Phone number
          type: string
        phonetic_family_name:
          description: Phonetic spelling of the contact’s family name
          type: string
        phonetic_given_name:
          description: Phonetic spelling of the contact’s given name
          type: string
        postal_code:
          description: Postal code
          type: string
        sub_administrative_area:
          description: >-
            The subadministrative area (such as a county or other region) in a
            postal address
          type: string
        sub_locality:
          description: >-
            Additional information associated with the location, typically
            defined at the city or town level (such as district or
            neighborhood), in a postal address
          type: string
      type: object
    apple_pay_payment_token:
      description: Single-use token containing all data necesary to complete the payment
      properties:
        payment_data:
          $ref: '#/components/schemas/apple_pay_payment_data'
        payment_method:
          $ref: '#/components/schemas/apple_pay_payment_method'
        transaction_identifier:
          description: Unique identifier for this payment
          type: string
      required:
        - payment_data
        - payment_method
        - transaction_identifier
      type: object
    external_card_verification_details:
      properties:
        address_verification_result:
          description: |
            Address verification results

            Status | Description
            --- | ---
            VERIFIED | AVS verified
            NOT_VERIFIED | AVS not verified
            ADDRESS_MISMATCH | ZIP code match, address no match
            ZIP_MISMATCH | Address match, ZIP code no match
            ADDRESS_AND_ZIP_MISMATCH | Address and ZIP code no match
          enum:
            - ADDRESS_AND_ZIP_MISMATCH
            - ADDRESS_MISMATCH
            - NOT_VERIFIED
            - VERIFIED
            - ZIP_MISMATCH
          type: string
        cvv2_result:
          description: |
            Card Verification Value results

            Status | Description
            --- | ---
            VERIFIED | CVV and expiration date verified
            NOT_VERIFIED | CVV and expiration date not verified
            CVV_MISMATCH | Either CVV or expiration date does not match
            NOT_SUPPORTED | Issuer does not participate in CVV2 service
          enum:
            - CVV_MISMATCH
            - NOT_SUPPORTED
            - NOT_VERIFIED
            - VERIFIED
          type: string
        name_verification_result:
          description: >
            Issuer cardholder name verification result with Account Name Inquiry
            (ANI) service

            The result of verifying the cardholder name against the name on file
            at the issuing institution.

            If this fails, it means the issuing institution has a different
            person's name on file as the cardholder.


            Status | Description

            --- | ---

            VERIFIED | ANI Name verified

            NOT_VERIFIED | ANI Name not verified

            NOT_SUPPORTED | Issuer does not participate in ANI service

            NAME_MISMATCH | ANI Name does not match
          enum:
            - NAME_MISMATCH
            - NOT_SUPPORTED
            - NOT_VERIFIED
            - VERIFIED
          type: string
        pull_details:
          $ref: '#/components/schemas/pull_details'
        pull_enabled:
          description: Indicates if the card is able to perform PULL transfers.
          type: boolean
        push_details:
          $ref: '#/components/schemas/push_details'
        push_enabled:
          description: Indicates if the card is able to perform PUSH transfers.
          type: boolean
      type: object
    payment_account_reference:
      description: >-
        A unique identifier associated with a specific cardholder PAN and its
        affiliated tokens
      maxLength: 29
      minLength: 29
      type: string
    currency_code:
      description: ISO 4217  Alpha-3 currency code
      example: USD
      maxLength: 3
      minLength: 3
      type: string
    transfer_status:
      description: The status of the transfer
      enum:
        - CANCELED
        - DECLINED
        - PENDING
        - SUCCEEDED
        - UNKNOWN
      type: string
    address:
      properties:
        address_line_1:
          description: Street address line 1
          example: 100 Main St.
          maxLength: 100
          type: string
        address_line_2:
          description: Street address line 2
          example: Suite 99
          maxLength: 100
          type: string
        city:
          description: City
          example: New York
          type: string
        country_code:
          description: ISO-3166-1 Alpha-2 country code
          example: US
          pattern: ^[A-Z]{2}$
          type: string
        postal_code:
          description: Postal code
          example: '49633'
          type: string
        state:
          description: >
            State, region, province, or prefecture.

            This is the ISO-3166-2 subdivision code, excluding the country
            prefix.

            For example, TX for Texas USA or TAM for Tamaulipas Mexico.

            Its length varies by country, e.g. 2 characters for US, 3 for MX.
          example: NY
          type: string
      required:
        - address_line_1
        - city
        - country_code
        - postal_code
        - state
      type: object
    country_code:
      description: ISO-3166-1 Alpha-2 country code
      example: US
      maxLength: 2
      minLength: 2
      type: string
    apple_pay_payment_data:
      description: Encrypted payment data
      properties:
        data:
          description: Encrypted payment data, Base64 encoded
          type: string
        header:
          $ref: '#/components/schemas/apple_pay_payment_header'
        signature:
          description: Signature of the payment and header data
          type: string
        version:
          description: >
            * RSA_v1 encryption is not currently supported. Version information
            about the payment token
          enum:
            - EC_v1
            - RSA_v1
          type: string
      required:
        - data
        - header
        - signature
        - version
      type: object
    apple_pay_payment_method:
      description: Information about the card used in the transaction
      properties:
        billing_address:
          $ref: '#/components/schemas/apple_pay_contact'
        display_name:
          description: Name that describes the card, suitable for display
          type: string
        network:
          description: Name of the payment network backing the card, suitable for display
          type: string
        secure_element_pass:
          $ref: '#/components/schemas/apple_pay_secure_element_pass'
        type:
          description: Card payment type
          enum:
            - credit
            - debit
            - prepaid
            - store
          type: string
      type: object
    pull_details:
      description: Additional PULL transfer details
      properties:
        country:
          $ref: '#/components/schemas/country_code'
        currency:
          $ref: '#/components/schemas/currency_code'
        network:
          description: Payment network
          type: string
        product_type:
          $ref: '#/components/schemas/external_card_product_type'
        regulated:
          description: Exemption status from debit card interchange fee standards
          type: boolean
      type: object
    push_details:
      description: Additional PUSH transfer details
      properties:
        country:
          $ref: '#/components/schemas/country_code'
        currency:
          $ref: '#/components/schemas/currency_code'
        funds_availability:
          $ref: '#/components/schemas/external_cards_funds_availability'
        network:
          description: Payment network
          type: string
        product_type:
          $ref: '#/components/schemas/external_card_product_type'
        regulated:
          description: Exemption status from debit card interchange fee standards
          type: boolean
      type: object
    apple_pay_payment_header:
      description: >-
        Dictionary of additional fields used for decrypting and verifying the
        payment data
      properties:
        application_data:
          description: SHA–256 hash, hex encoded as a string
          type: string
        ephemeral_public_key:
          description: X.509 encoded public key bytes
          type: string
        public_key_hash:
          description: Hash of the X.509 encoded public key bytes
          type: string
        transaction_id:
          description: Device generated transaction identifier
          type: string
      required:
        - ephemeral_public_key
        - public_key_hash
        - transaction_id
      type: object
    apple_pay_secure_element_pass:
      description: >-
        A pass with a credential that the device stores in a certified payment
        information chip.
      properties:
        device_account_identifier:
          description: The unique identifier for the device-specific account number.
          type: string
        device_account_number_suffix:
          description: A display-ready version of the device-specific account number.
          type: string
        device_pass_identifier:
          description: An opaque value for the pass.
          type: string
        paired_terminal_identifier:
          description: The unique identifier of the paired terminal.
          type: string
        pass_activation_state:
          description: The activation state of the pass.
          enum:
            - activated
            - activating
            - deactivated
            - requiresActivation
            - suspended
          type: string
        primary_account_identifier:
          description: >-
            An opaque value that identifies the primary account number that
            funds the pass’s transactions.
          type: string
        primary_account_number_suffix:
          description: A display-ready version of the primary account number.
          type: string
      required:
        - device_account_identifier
        - device_account_number_suffix
        - pass_activation_state
        - primary_account_identifier
        - primary_account_number_suffix
      type: object
    external_card_product_type:
      description: Product type
      enum:
        - CREDIT
        - DEBIT
        - PREPAID
      type: string
    external_cards_funds_availability:
      description: |
        Estimated timeframe of funds availability

        Value | Description
        --- | ---
        NOW | Within 30 minutes
        NEXT | Within the next business day
        FEW | Within a few business days
      enum:
        - FEW
        - NEXT
        - NOW
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````